%global OpenStackVersion bobcat
Summary: OpenStack from the CentOS Cloud SIG repo configs
Name: centos-release-openstack-%{OpenStackVersion}
Version: 1
Release: 1%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Cloud
Source0: CentOS-OpenStack.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-cloud
Requires: centos-release-rabbitmq-38
Requires: centos-release-ceph-reef
Requires: centos-release-nfv-openvswitch

%description
yum Configs and basic docs for OpenStack as delivered via the CentOS Cloud SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo
sed -i -e "s/OPENSTACK_VERSION/%{OpenStackVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Thu Oct 19 2023 Alfredo Moralejo <amoralej@redhat.com> - bobcat-1-1
- Bobcat 2023.2 Release
- Update Ceph to Reef release

